Empowering everyone to build reliable and efficient software.
★ 121,713⑂ 16,619👁 1,573⑃ 100,392● 64,623▤ 157◈ 0
121,713
stars
+48
16,619
forks
1,573
watchers
100,392
prs
64,623
issues
157
releases
0
discussions
README
[Website][Rust] | [Getting started] | [Learn] | [Documentation] | [Contributing] This is the main source code repository for [Rust]. It contains the compiler, standard library, and documentation. [Rust]: https://www.rust-lang.org/ [Getting Started]: https://www.rust-lang.org/learn/get-started [Learn]: https://www.rust-lang.org/learn [Documentation]: https://www.rust-lang.org/learnlearn-use [Contributing]: CONTRIBUTING.md Why Rust? - Performance: Fast and memory-efficient, suitable for critical services, embedded devices, and easily integrated with other languages. - Reliability: Our rich type system and ownership model ensure memory and thread safety, reducing bugs at compile-time. - Productivity: Comprehensive documentation, a compiler committed to providing great diagnostics, and advanced tooling including package manager and build tool ([Cargo]), auto-formatter ([rustfmt]), linter ([Clippy]) and editor support ([rust-analyzer]). [Cargo]: https://github.com/rust-lang/cargo [rustfmt]: https://github.com/rust-lang/rustfmt [Clippy]: https://github.com/rust-lang/rust-clippy [rust-analyzer]: https://github.com/rust-lang/rust-analyzer Quick Start Read ["Installation"] from [The Book]. ["Installation"]: https://doc.rust-lang.org/book/ch01-01-installation.html [The Book]: https://doc.rust-lang.org/book/index.html Installing from Source If you really want to install from source (though this is not recommended), see INSTALL.md. Getting Help See https://www.rust-lang.org/community for a list of chat platforms and forums. Contributing See CONTRIBUTING.md. For a detailed explanation of the compiler's architecture and how to begin contributing, see the rustc-dev-guide. License Rust is primarily distributed under the terms of both the MIT license and the Apache License (Version 2.0), with portions covered by various BSD-like licenses. See LICENSE-APACHE, LICENSE-MIT, and COPYRIGHT for details. Trademark [The Rust Foundation][rust-foundation] owns and protects the Rust and Cargo trademarks and logos (the "Rust Trademarks"). If you want to use these names or brands, please read the [Rust language trademark policy][trademark-policy]. Third-party logos may be subject to third-party copyrights and trademarks. See [Licenses][policies-licenses] for details. [rust-foundation]: https://rustfoundation.org/ [trademark-policy]: https://rustfoundation.org/policy/rust-trademark-policy/ [policies-licenses]: https://www.rust-lang.org/policies/licenses
Top issues
#31844Tracking issue for specialization (RFC 1210)323 comments · 2016-02-23#43467Tracking issue for RFC 1861: Extern types293 comments · 2017-07-25#81513Tracking Issue for pointer metadata APIs202 comments · 2021-01-29#130703Tracking Issue for secure random data generation in `std`196 comments · 2024-09-22#63063Tracking issue for RFC 2515, "Permit impl Trait in type aliases"178 comments · 2019-07-28#110998Tracking Issue for `ascii::Char` (ACP 179)176 comments · 2023-04-29#88581Tracking Issue for `int_roundings`176 comments · 2021-09-02#43122Tracking issue for RFC 2033: Experimentally add coroutines to Rust170 comments · 2017-07-08
Latest release
Rust 1.99.1 1.99.1 2026-10-16- library: fix missing symbol wcslen on UEFI and embedded targets - rustc: fix miscompilation of FFI bool return values on x86\_64 - rust-lld: add the rpath for libLLVM on macOS
相关报道 (8)
自由時報GitHub 1.7萬顆星開源軟體 PhotoCraft 企圖取代 Photoshop2026-10-08CSDNGitHub Copilot 从 TypeScript 迁移到 Rust:性能优化与渐进式迁移实践2026-11-09CSDNGitHub日榜是技术趋势雷达,不是项目收藏夹2026-11-09CSDNGitHub周榜:开发者技术选型的信号雷达与工程落地指南2026-11-09CSDNGitHub九月月榜深度解读:Agent评估、LLM上下文、Rust嵌入与Python分发四大拐点2026-11-08CSDNGitHub Copilot 运行时迁移到 Rust 的技术实践与启示2026-11-06InfoQ.cnGitHub 通过 AI 辅助重构,将 Copilot 运行时迁移至 Rust2026-10-22至顶网GitHub与Anthropic用AI智能体改写Rust代码,方法各异-AI应用2026-10-14
News & coverage (20)
Hacker NewsTell HN: Google removes rust, Netflix, other GitHub repos after DMCA takedown▲ 163 · 1 comments · 2015-01-07Hacker NewsTell HN: Rust Is Complex▲ 107 · 93 comments · 2022-11-13Hacker NewsAsk HN: Why don't file systems and OS's provide file system transactions?▲ 62 · 31 comments · 2022-07-23Hacker NewsTell HN: GitHub – “This comment has been minimized. Sign in to view”▲ 21 · 25 comments · 2022-10-15Hacker NewsRust website design qualm▲ 6 · 1 comments · 2018-12-08Hacker NewsTaking suggestions for the new Rust FAQ▲ 6 · 0 comments · 2015-09-10Hacker NewsAsk HN: How to make Rust release binaries reproducible/private?▲ 3 · 0 comments · 2021-01-03news.lavx.huTokio releases Topcoat: A batteries-included full-stack Rust framework2026-11-09SportskeedaFans port Minecraft to Rust, and here's how you can play it2026-11-07note[GitHub Daily] Rust-based Spotify client spotifast debuts, agent-desktop tops for 3 consecutive days — 2026-11-052026-11-04